
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL Server批量插入数据sql与性能比较 / iVAN</title>

    <meta name="description" content="SQL Server批量插入数据sql与性能比较 有这样一个表[OperatorInfo],字段有[OPERATOR_NO],[OPERATOR_PWD],[OPERATOR_NAME],[GROUP_ID],[GROUP_NO],[SKILL_LEVEL],[OPERATOR_TYPE],[PAUSENUM], [OPERATOR_ACD_TYPE] 其中[OPERATOR_NO]需要指定一个起始数值,然后实现规定的累加,其他的一些都是默认值,可以不用理会. 以下是代码:  代码如下 复制代码 DECLARE @recordNmber int">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQL Server批量插入数据sql与性能比较</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>有这样一个表【OperatorInfo】，字段有[OPERATOR_NO]，[OPERATOR_PWD]，[OPERATOR_NAME]，[GROUP_ID]，[GROUP_NO]，[SKILL_LEVEL]，[OPERATOR_TYPE]，[PAUSENUM], [OPERATOR_ACD_TYPE]</p>
<p>其中[OPERATOR_NO]需要指定一个起始数值，然后实现规定的累加，其他的一些都是默认值，可以不用理会。</p>
<p><strong>以下是代码：</strong></p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />DECLARE @recordNmber int  <br />
DECLARE @OPERATOR_NO int  <br />
  <br />
SET @recordNmber   = 0   <br />
SET @OPERATOR_NO = 6990 --座席起始工号，例如6990，将从6991开始插入  <br />
  <br />
WHILE (@recordNmber) &lt; $30 --需要添加的座席数量  <br />
BEGIN  <br />
      SET @recordNmber = @recordNmber + 1  <br />
      SET @OPERATOR_NO = @OPERATOR_NO + 1  <br />
      INSERT INTO [OperatorInfo] ([OPERATOR_NO], [OPERATOR_PWD], [OPERATOR_NAME], [GROUP_ID],   <br />
      [GROUP_NO], [SKILL_LEVEL], [OPERATOR_TYPE], [PAUSENUM], [OPERATOR_ACD_TYPE])  <br />
      VALUES (@OPERATOR_NO,'123456',@OPERATOR_NO,'4204','4204',1,'1',1,'1')  <br />
END</p>
</td>
</tr>
</table>
<p>这里我只加了30条，如果你需要，可以自行定义</p>
<p><strong>性能对比</strong></p>
<p> </p>
<p>.创建表值参数类型</p>
<p>我们打开查询分析器，然后在查询分析器中执行下列代码：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">Create Type PassportTableType as Table<br />
(<br />
PassportKey nvarchar(50)<br />
)</td>
</tr>
</table>
<p>执行成功以后，我们打开企业管理器，按顺序依次展开下列节点--数据库、展开可编程性、类型、用户自定义表类型，就可以看到我们创建好的表值类型了如下图所示：</p>
<p> </p>
<p>说明我们创建表值类型成功了。</p>
<p>3.编写存储过程</p>
<p>存储过程的代码为：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">USE [TestInsert]<br />
GO<br />
/****** Object: StoredProcedure [dbo].[CreatePassportWithTVP] Script Date: 03/02/2010 00:14:45 ******/<br />
SET ANSI_NULLS ON<br />
GO<br />
SET QUOTED_IDENTIFIER ON<br />
GO<br />
-- =============================================<br />
-- Author: &lt;Kevin&gt;<br />
-- Create date: &lt;2010-3-1&gt;<br />
-- Description: &lt;创建通行证&gt;<br />
-- =============================================<br />
Create PROCEDURE [dbo].[CreatePassportWithTVP] <br />
@TVP PassportTableType readonly<br />
AS<br />
BEGIN<br />
SET NOCOUNT ON;<br />
Insert into Passport(PassportKey) select PassportKey from @TVP<br />
END
</td>
</tr>
</table>
<p>可能在查询分析器中，智能提示会提示表值类型有问题，会出现红色下划线（见下图），不用理会，继续运行我们的代码，完成存储过程的创建 4.编写代码调用存储过程。</p>
<p>三种数据库的插入方式代码如下，由于时间比较紧，代码可能不那么易读，特别代码我加了些注释。</p>
<p>主要部分的代码</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />using System;<br />
using System.Diagnostics;<br />
using System.Data;<br />
using System.Data.SqlClient;<br />
using com.DataAccess;</p>
<p>namespace ConsoleAppInsertTest<br />
{<br />
    class Program<br />
    {<br />
        static string connectionString = SqlHelper.ConnectionStringLocalTransaction;    //数据库连接字符串<br />
        static int count = 1000000;           //插入的条数<br />
        static void Main(string[] args)<br />
        {<br />
            //long commonInsertRunTime = CommonInsert();<br />
            //Console.WriteLine(string.Format("普通方式插入{1}条数据所用的时间是{0}毫秒", commonInsertRunTime, count));</p>
<p>            long sqlBulkCopyInsertRunTime = SqlBulkCopyInsert();<br />
            Console.WriteLine(string.Format("使用SqlBulkCopy插入{1}条数据所用的时间是{0}毫秒", sqlBulkCopyInsertRunTime, count));</p>
<p>            long TVPInsertRunTime = TVPInsert();<br />
            Console.WriteLine(string.Format("使用表值方式（TVP）插入{1}条数据所用的时间是{0}毫秒", TVPInsertRunTime, count));<br />
        }</p>
<p>        /// &lt;summary&gt;<br />
        /// 普通调用存储过程插入数据<br />
        /// &lt;/summary&gt;<br />
        /// &lt;returns&gt;&lt;/returns&gt;<br />
        private static long CommonInsert()<br />
        {<br />
            Stopwatch stopwatch = new Stopwatch();<br />
            stopwatch.Start();<br />
            <br />
            string passportKey;<br />
            for (int i = 0; i &lt; count; i++)<br />
            {<br />
                passportKey = Guid.NewGuid().ToString();<br />
                SqlParameter[] sqlParameter = { new SqlParameter("@passport", passportKey) };<br />
                SqlHelper.ExecuteNonQuery(connectionString, CommandType.StoredProcedure, "CreatePassport", sqlParameter);<br />
            }<br />
            stopwatch.Stop();<br />
            return stopwatch.ElapsedMilliseconds;<br />
        }</p>
<p>        /// &lt;summary&gt;<br />
        /// 使用SqlBulkCopy方式插入数据<br />
        /// &lt;/summary&gt;<br />
        /// &lt;param name="dataTable"&gt;&lt;/param&gt;<br />
        /// &lt;returns&gt;&lt;/returns&gt;<br />
        private static long SqlBulkCopyInsert()<br />
        {<br />
            Stopwatch stopwatch = new Stopwatch();<br />
            stopwatch.Start();</p>
<p>            DataTable dataTable = GetTableSchema();<br />
            string passportKey;<br />
            for (int i = 0; i &lt; count; i++)<br />
            {<br />
                passportKey = Guid.NewGuid().ToString();<br />
                DataRow dataRow = dataTable.NewRow();<br />
                dataRow[0] = passportKey;<br />
                dataTable.Rows.Add(dataRow);<br />
            }</p>
<p>            SqlBulkCopy sqlBulkCopy = new SqlBulkCopy(connectionString);<br />
            sqlBulkCopy.DestinationTableName = "Passport";<br />
            sqlBulkCopy.BatchSize = dataTable.Rows.Count;<br />
            SqlConnection sqlConnection = new SqlConnection(connectionString);<br />
            sqlConnection.Open();<br />
            if (dataTable!=null &amp;&amp; dataTable.Rows.Count!=0)<br />
            {<br />
                sqlBulkCopy.WriteToServer(dataTable);<br />
            }<br />
            sqlBulkCopy.Close();<br />
            sqlConnection.Close();</p>
<p>            stopwatch.Stop();<br />
            return stopwatch.ElapsedMilliseconds;<br />
        }</p>
<p>        private static long TVPInsert()<br />
        {<br />
            Stopwatch stopwatch = new Stopwatch();<br />
            stopwatch.Start();</p>
<p>            DataTable dataTable = GetTableSchema();<br />
            string passportKey;<br />
            for (int i = 0; i &lt; count; i++)<br />
            {<br />
                passportKey = Guid.NewGuid().ToString();<br />
                DataRow dataRow = dataTable.NewRow();<br />
                dataRow[0] = passportKey;<br />
                dataTable.Rows.Add(dataRow);<br />
            }</p>
<p>            SqlParameter[] sqlParameter = { new SqlParameter("@TVP", dataTable) };<br />
            SqlHelper.ExecuteNonQuery(connectionString, CommandType.StoredProcedure, "CreatePassportWithTVP", sqlParameter);</p>
<p>            stopwatch.Stop();<br />
            return stopwatch.ElapsedMilliseconds;<br />
        }</p>
<p>        private static DataTable GetTableSchema()<br />
        {<br />
            DataTable dataTable = new DataTable();<br />
            dataTable.Columns.AddRange(new DataColumn[] { new DataColumn("PassportKey") });<br />
            <br />
            return dataTable;<br />
        }</p>
<p>    }<br />
}</p>
</td>
</tr>
</table>
<p>比较神秘的代码其实就下面这两行，该代码是将一个dataTable做为参数传给了我们的存储过程。简单吧。</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />SqlParameter[] sqlParameter = { new SqlParameter("@TVP", dataTable) };<br />
SqlHelper.ExecuteNonQuery(connectionString, CommandType.StoredProcedure, "CreatePassportWithTVP", sqlParameter);</p>
</td>
</tr>
</table>
<p>5.测试并记录测试结果</p>
<p>1.创建表。</p>
<p>为了简单，表中只有一个字段，如下图所示：</p>
<pre>第一组测试，插入记录数1000</pre>
<pre>第二组测试，插入记录数10000</pre>
<pre>第三组测试，插入记录数1000000</pre>
<p>通过以上测试方案，不难发现，技术方案二的优势还是蛮高的。无论是从通用性还是从性能上考虑，都应该是<br />
优先被选择的，还有一点，它的技术复杂度要比技术方案三要简单一些</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索string<br />
                    ，                存储过程<br />
                    ，                static<br />
                    ，                new<br />
                    ，                代码<br />
                                    类型<br />
                                    sql server 批量更新、sqlserver 批量insert、sqlserver批量update、sqlserver 批量更新、sql server批量insert，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 04:44:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e8%bf%87%e7%a8%8b/" title="存储过程">存储过程</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/new/" title="new">new</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQL Server批量插入数据sql与性能比较的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqL8GOb.html" rel="bookmark">MySQL和SQL Server在插入数据上的差别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境:MySQL Sever 5.1 + SQLServer 2008 R2 问题:MySQL和SQLServer在插入数据上的差别 先看两张图: MySQL: SQLServer: 在MySQL里创建表,主键自增 ,在插入数据时,不指定列名(表示对每个字段都赋值),会报列数不匹配,指定列名后插入正常:而在 SQLServer里,表的主键同样是自增,不指定列名却可以正常插入. 附 SQL: MySQL create table tb_user(id int primary key auto_in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AqZDp.html" rel="bookmark">用SQL数据库批量插入数据简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近忙于公司BI软件性能测试,这几天主要测试CUBE采用ROLAP下,PA的并发和稳定性.涉及表和维度,立方:事实表sales_fact_1997,维度表time_by_day:立方:sales.修改内容:删除原来的TIME维度,新建TIME维度,修改SALES立方. 数据插入: 1.事实数据插入:通过DTS加调度实现将sales_fact_1997的数据进行复制.频率为每分钟10000条.主要用到的SQL语句:select top 10000 * from sales_fact_1997 2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z443XPz.html" rel="bookmark">关于sql server批量插入和更新的两种解决方案&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: .游标方式 1 DECLARE @Data NVARCHAR(max)  SET @Data='1,tanw;2,keenboy'   --Id,Name  DECLARE @dataItem NVARCHAR(100)  DECLARE data_cursor CURSOR FOR (SELECT * FROM split(@Data,';')) OPEN data_cursor FETCH NEXT FROM data_cursor INTO @dataItem   			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyxElb.html" rel="bookmark">VB&period;NET操作 SQL SERVER的 二进制数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|二进制|数据 在VB时期, 向SQL SERVER 中插入二进制数据, 是通过 ADODB.STREAM 实现, 在.NET中, 对 &quot;流&quot;格式的操作更加强大而简单,本篇演示向SQL SERVER 中插入数据并读出的功能. 在窗体上添加一个 OPENFILEDIALOG 控件, 两个PICTUREBOX, 代码如下:-------------------------------------------------------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7Zgnp.html" rel="bookmark">C&num;实现SQL批量插入数据到表的方法&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了C#实现SQL批量插入数据到表的方法.分享给大家供大家参考,具体如下: #region 帮助实例:SQL 批量插入数据 多种方法 /// &lt;summary&gt; /// SqlBulkCopy往数据库中批量插入数据 /// &lt;/summary&gt; /// &lt;param name=&quot;sourceDataTable&quot;&gt;数据源表&lt;/param&gt; /// &lt;param name=&quot;targetTableName&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZWw3b.html" rel="bookmark">sql下三种批量插入数据的方法&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将介绍三种批量插入数据的方法.第一种方法是使用循环语句逐个将数据项插入到数据库中:第二种方法使用的是SqlBulkCopy,使您可以用其他源的数据有效批量加载 SQL Server 表:第三种使用的方法是sql server中的表值参数方法,表值参数是 SQL Server 2008 中的新参数类型.表值参数是使用用户定义的表类型来声明的.使用表值参数,可以不必创建临时表或许多参数,即可向 Transact-SQL 语句或例程(如存储过程或函数)发送多行数据.       代码示例:    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mymq7ZM.html" rel="bookmark">sql下三种批量插入数据的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将介绍三种批量插入数据的方法.第一种方法是使用循环语句逐个将数据项插入到数据库中:第二种方法使用的是SqlBulkCopy,使您可以用其他源的数据有效批量加载 SQL Server 表:第三种使用的方法是sql server中的表值参数方法,表值参数是 SQL Server 2008 中的新参数类型.表值参数是使用用户定义的表类型来声明的.使用表值参数,可以不必创建临时表或许多参数,即可向 Transact-SQL 语句或例程(如存储过程或函数)发送多行数据. 代码示例: 此例子为控制台输出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvrml1M.html" rel="bookmark">c&num;实现批量插入数据到sql数据库表中，怎么做到跳过插入失败的数据，继续插入</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c#实现批量插入数据到sql数据库表中,怎么做到跳过插入失败的数据,继续插入 c#实现批量插入数据到sql数据库表中,怎么做到跳过插入失败的数据,继续插入. 并且报错,哪几天数据失败了.和失败的原因. 我现在是可以生成一个把一个数据库表的数据导入到另一个数据库表中.但是呢,有些数据由于某个字段过长无法导入成功,而导致所有的都无法导入.直接造成导入失败.我 想过滤掉那条不成功的继续导入.不至于都导入不成功.急! 想和好久也没解决.网上也没找到说法 解决方案 数据库表插入数据失败数据库批量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7ERwp.html" rel="bookmark">SQL Server中一个隐性的IO性能杀手-Forwarded record</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:SQL Server中一个隐性的IO性能杀手-Forwarded record 简介     最近在一个客户那里注意到一个计数器很高(Forwarded Records/Sec),伴随着间歇性的磁盘等待队列的波动.本篇文章分享什么是forwarded record,并从原理上谈一谈为什么Forwarded record会造成额外的IO.   存放原理     在SQL Server中,当数据是以堆的形式存放时,数据是无序的,所有非聚集索引的指针存放指向物理地址的RID.当数据行中的变长列增			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkJ7wM.html" rel="bookmark" class="title">Ajax基础入门</a>
					<div>
						1. 什么是AJAX? AJAX全称是异步的JavaScript和XML,是Asynchronous JavaScript and XML的缩写.AJAX技术用于创建交互式网页应用的网站开发,至于何为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRem8b.html" rel="bookmark" class="title">MSSQL db</a>
					<div>
						相信大家对ASP+MSSQL注入都已经很熟悉了,连一个对SQL语法丝毫不懂的人也可以用NBSI来轻松入侵大量网站.但就算是一个SQL INJECTION高手,如果针对在MSSQL中只有db_owner ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxBLmz.html" rel="bookmark" class="title">Android自定义View之弧线展示图</a>
					<div>
						前面我也写了有几个自定义进度的控件,那么,今天,我再加一个控件,原理跟前面讲的差不多,先看看效果: 这个是一个以弧线为依托的进度控件,主要包括了两个圆弧.一个圆.一个文本. 当我们点击开始按钮的时候, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6x4Jz.html" rel="bookmark" class="title">Linux C实现生产者消费者问题</a>
					<div>
						//信号量---线程间通信 //&quot;生产者消费者&quot; 问题 #include&lt;stdio.h&gt; #include&lt;stdlib.h&gt; #include&lt;u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlLkdb.html" rel="bookmark" class="title">Sybase数据库完全接触</a>
					<div>
						Sybase基础知识 客户/服务器体系结构:Sybase是一种建立在客户/服务器体系结构上的数据库管理系统. 从硬件角度看,客户/服务器体系结构是指将某项任务在两台或多台机器之间进行分配,其中客户机( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NrK7z.html" rel="bookmark" class="title">如何强健Windows XP密码</a>
					<div>
						你是怎么给Windows XP设置密码的呢?仅仅在&quot;控制面板→用户账户&quot;中创建密码!也许你认为自己设定的密码和位数足于拒&quot;菜鸟&quot;于系统外,但是更安全的密码规则你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGje32p.html" rel="bookmark" class="title">Math的floor&comma;round和ceil的总结</a>
					<div>
						floor 返回不大于的最大整数 found 则是4舍5入的计算,入的时候是到大于它的整数 ceil 则是不小于他的最小整数 看例子   Math.floor Math.round Math.ceil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwX94b.html" rel="bookmark" class="title">购物优惠流程设计</a>
					<div>
						  这是一个很有趣的购物推广案例记录.我们要推出一个和第三方网站合作的计划,预计在原本的购物网站上面加上一个推广用的&quot;折扣序号&quot;,让顾客可以在 第三方网站上面输入 email 来取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWdxop.html" rel="bookmark" class="title">Win7适配器未连接或访问点有问题怎么办？</a>
					<div>
						  Win7适配器未连接或访问点有问题的解决方法. 解决方法如下: 1.打开连接 2.先大概看看,看看不是自己禁用连接,如果禁用,右键启用就行 3.打开查看下IP,把它自动获取. 4.自动诊断,电脑会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW82Ap.html" rel="bookmark" class="title">Windows8&sol;8&period;1应用商店里无法安装应用</a>
					<div>
						  原因: 优化软件清理垃圾后,把Microsoft账号登录信息搞丢了(参考原因,其他原因待加入) 解决方法1: 如图断开Microsoft账号的连接后,重新登录一次即可(方法2简单一点) 解决方法2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3yEvp.html" rel="bookmark" class="title">Win8系统UEFI模式启动的优势介绍</a>
					<div>
						  Win8系统UEFI模式启动的优势介绍: 1.UEFI提供更大的磁盘容量 传统MBR分区最大只能支持2.2TB的硬盘和4个主分区,而UEFI规范之一,GPT分区格式,则可以支持过百TB大小的硬盘和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW67Rb.html" rel="bookmark" class="title">Win8&sol;8&period;1系统安装后怎么把IE图标恢复到桌面？</a>
					<div>
						  方法一:把IE图标恢复到任务栏 步骤: 左键点击左下角有4个小方块的图标; 在打开的开始窗口,我们左键点击左下角的带有小圈的向下箭头; 在应用窗口,我们右键点击:Inetrnet Explorer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGq6ab.html" rel="bookmark" class="title">Windows单击右键没有共享选项怎么办</a>
					<div>
						  文件共享是指在网络环境下文件.文件夹.某个硬盘分区使用时的一种设置属性,一般指多个用户可以同时打开或使用同一个文件或数据.但有时候也会遇到找不到共享选项的情况. Windows单击右键没有共享选项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw28ep.html" rel="bookmark" class="title">让Apache 和nginx支持跨域访问</a>
					<div>
						1,如何让Apache支持跨域访问呢? 步骤: 修改httpd.conf,windows中对应的目录是:C:\wamp\bin\apache\Apache2.4.4\conf\httpd.conf 把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72jm4p.html" rel="bookmark" class="title">PHP与已存在的Java应用程序集成&lowbar;php基础</a>
					<div>
						PHP功能的另外一个优势是其调用已有Java对象方法的能力.通过此项功能可将PHP集成进已有的基于Java的应用程序.如果你正在工作场合推广PHP ,这项功能尤其显得时髦.&quot;Java无处不在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze62Pjb.html" rel="bookmark" class="title">Android视图控件架构分析之View、ViewGroup&lowbar;Android</a>
					<div>
						在Android中,视图控件大致被分为两类,即ViewGroup和View,ViewGroup控件作为父控件,包含并管理着子View,通过ViewGroup和View便形成了控件树,各个ViewGou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PRZkp.html" rel="bookmark" class="title">&lpar;一&rpar;CocoaPods的使用及其原理</a>
					<div>
						一.CocoaPods简介 CocoaPods manages library dependencies for your Xcode projects. CocoaPods 是Mac OS X 和  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NZamz.html" rel="bookmark" class="title">背景-gridview的item点击变色的问题</a>
					<div>
						问题描述 gridview的item点击变色的问题 android的.布局就是一个gridview,item就是一个textview,我想实现点击某个item,那个item就变成蓝色,再点击变成白色, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrDraM.html" rel="bookmark" class="title">Hulu即将闯入中国</a>
					<div>
						据相关人士透露,全球第二大的视频网站Hulu总裁詹森·基拉尔(Jason Kilar)的中国受到了很多的关注.这一天,他远道远道而来,表示Hulu将进入中国市场.并已在北京设立了办公室.很快的又密会了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6VLAb.html" rel="bookmark" class="title">jquery实现触发时更新下拉列表内容的方法&lowbar;jquery</a>
					<div>
						本文实例讲述了jquery实现触发时更新下拉列表内容的方法.分享给大家供大家参考,具体如下: 服务端假如有个请求地址用来返回所需数据 url:/hello 返回类似: 复制代码 代码如下: [{&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6PqZM.html" rel="bookmark" class="title">拉勾网承认盗取Boss直聘账号</a>
					<div>
						昨日(3月31日)午间,拉勾网董事长许单单通过官方微信账号推送了一则致歉信,致歉信针对的是今年2月拉勾网员工破解Boss直聘所使用的腾讯企业邮箱的管理员密码这种不恰当行为,表示对自己当时的激烈反应感到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmwkkz.html" rel="bookmark" class="title">c语言-C语言选择题求详细解释</a>
					<div>
						问题描述 C语言选择题求详细解释 已知:int a[3][4],*p=a[0];p+=7; ,那么与*p的值相同的是 A*(a+7) B*(&amp;a[0]+7) C*(a[0]+3)D*(&amp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmY36b.html" rel="bookmark" class="title">index-如何获取RadioGroup中被选中的RadioButton的下标？</a>
					<div>
						问题描述 如何获取RadioGroup中被选中的RadioButton的下标? RadioGroup中有个getChildAt(int index)方法,但好像没有获取index的方法,,有谁知道怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmWo5M.html" rel="bookmark" class="title">40-xmlHttp&period;readyState 为什么会等于1</a>
					<div>
						问题描述 xmlHttp.readyState 为什么会等于1 &quot;&quot;QueryID&quot;&quot;: function () { var xmlHttp = Operate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmE6Nb.html" rel="bookmark" class="title">相关问题-如何对从WIFI设备上获取的信息进行整理，要从哪些方面考虑，信息已解析好了。</a>
					<div>
						问题描述 如何对从WIFI设备上获取的信息进行整理,要从哪些方面考虑,信息已解析好了. 如何对从WIFI设备上获取的信息进行整理,要从哪些方面考虑,信息已解析好了. 解决方案 和wifi没有关系,这就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A3gNz.html" rel="bookmark" class="title">竞选老司机避让的黑洞，营销员还往中跳</a>
					<div>
						本文讲的是竞选老司机避让的黑洞,营销员还往中跳2016年美国大选从数位候选人的竞争到最终PK阶段,话题热度始终不减,其中社交媒体上&quot;爆料&quot;最多,内容最抓眼球,堪称2016最佳&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDelGlb.html" rel="bookmark" class="title">织梦DedeCMS提示&OpenCurlyDoubleQuote;无法获得主键，因此无法进行后续操作</a>
					<div>
						最近在维护服务器时候,对mysql进行了转移,之前的是用的mysql直接安装的,后来的数据库是使用的西部数码的建站助手建的,所以后台出现的问题 根据网上的提示说是修复一下数据表就可以了,修复的时候,有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZjZ6p.html" rel="bookmark" class="title">两年了，当初轰动的TrueNorth芯片最近有哪些进展？</a>
					<div>
						雷锋网(公众号:雷锋网)按:TrueNorth是IBM 2014年发布的仿人脑芯片,在这个只有邮票大小的硅片上,集成了100万个&quot;神经元&quot;,256个&quot;突触&quot;,4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN8eeM.html" rel="bookmark" class="title">总结提高国外网站访问速度的几个技巧</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 无疑站长也是经常去访问国外网站的群 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7NDZz.html" rel="bookmark" class="title">string-关于C&plus;&plus;字符容器的问题</a>
					<div>
						问题描述 关于C++字符容器的问题 #include#include#include#include#includeusing namespace std; int main(){ vector Co ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
